Bug 207671 - devel/sdl20: Update to 2.0.4, also update satellite libraries
Summary: devel/sdl20: Update to 2.0.4, also update satellite libraries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-03-03 07:18 UTC by David Carlier
Modified: 2016-04-06 15:01 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback-
amdmi3: exp-run?


Attachments
SDL2 main (1.12 KB, patch)
2016-03-03 07:18 UTC, David Carlier
no flags Details | Diff
SDL2 subcomponents (5.98 KB, patch)
2016-03-03 07:19 UTC, David Carlier
no flags Details | Diff
Extented patch (6.51 KB, patch)
2016-04-01 14:20 UTC, Dmitry Marakasov
no flags Details | Diff
Extended patch (11.19 KB, patch)
2016-04-03 12:05 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Carlier 2016-03-03 07:18:28 UTC
Created attachment 167673 [details]
SDL2 main

SDL2 update.
Comment 1 David Carlier 2016-03-03 07:19:24 UTC
Created attachment 167674 [details]
SDL2 subcomponents

ttf,mixer ... update.
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-03-03 16:51:43 UTC
Over to maintainer.
Comment 3 Dmitry Marakasov freebsd_committer 2016-04-01 13:13:33 UTC
Maintainer timeout.
Comment 4 Dmitry Marakasov freebsd_committer 2016-04-01 14:20:20 UTC
Created attachment 168869 [details]
Extented patch

Extended patch, it includes everything from devnexen's patches plus extra minor improvements:

- Switch to USES=localbase
- Add LICENSE_FILE
- Strip libraries (some ports don't understand install-strip target, so explicit ${STRIP_CMD} call is needed
- Remove unneeded patches from sdl2_mixer
- Reset portrevisions as versions are bumped
Comment 5 Dmitry Marakasov freebsd_committer 2016-04-01 14:22:42 UTC
Requesting an exp-run.
Comment 6 Antoine Brodin freebsd_committer 2016-04-03 07:24:36 UTC
The provided patch doesn't update sdl2_image, sdl2_ttf, sdl2_net
Comment 7 Dmitry Marakasov freebsd_committer 2016-04-03 12:05:00 UTC
Created attachment 168926 [details]
Extended patch

Strange, fixed
Comment 9 Dmitry Marakasov freebsd_committer 2016-04-05 14:13:39 UTC
Great, thank you! I'll commit it after playtesting with a dozen of games.
Comment 10 commit-hook freebsd_committer 2016-04-06 15:01:44 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Apr  6 15:01:15 UTC 2016
New revision: 412624
URL: https://svnweb.freebsd.org/changeset/ports/412624

Log:
  - Update sdl20 and satellite libraries to latest versions

  sdl2: 2.0.3 -> 2.0.4
  sdl2_image: 2.0.0 -> 2.0.1
  sdl2_mixer: 2.0.0 -> 2.0.1
  sdl2_net: 2.0.0 -> 2.0.1
  sdl2_ttf: 2.0.12 -> 2.0.14

  - Add LICENSE_FILE
  - Strip libraries
  - Switch to USES=localbase where applicable

  PR:		207671
  Submitted by:	devnexen@gmail.com, amdmi3
  Approved by:	maintainer timeout (mva, 1 month)
  Exp-run by:	antoine

Changes:
  head/audio/sdl2_mixer/Makefile
  head/audio/sdl2_mixer/distinfo
  head/audio/sdl2_mixer/files/
  head/audio/sdl2_mixer/pkg-plist
  head/devel/sdl20/Makefile
  head/devel/sdl20/distinfo
  head/devel/sdl20/pkg-plist
  head/graphics/sdl2_image/Makefile
  head/graphics/sdl2_image/distinfo
  head/graphics/sdl2_image/pkg-plist
  head/graphics/sdl2_ttf/Makefile
  head/graphics/sdl2_ttf/distinfo
  head/graphics/sdl2_ttf/pkg-plist
  head/net/sdl2_net/Makefile
  head/net/sdl2_net/distinfo
  head/net/sdl2_net/pkg-plist